com.intellectualsites.translation

## Class TranslationManager

- java.lang.Object
- - com.intellectualsites.translation.TranslationManager

-     public class TranslationManager
      extends java.lang.Object

  Translation Manager Main class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranslationManager()` Constructor
    `TranslationManager(TranslationObject[] translationObjects)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TranslationManager` | `addTranslation(java.lang.String key, TranslationAsset a)`
    `TranslationManager` | `addTranslation(TranslationObject t, TranslationAsset a)`
    `TranslationManager` | `addTranslationObject(TranslationObject t)` Add an object
    `TranslationManager` | `debug(java.io.PrintStream out)`
    `TranslationObject` | `getDefault(java.lang.String key)`
    `java.lang.String` | `getDescription(java.lang.String key)`
    `TranslationAsset` | `getTranslated(java.lang.String key, java.lang.String language)`
    `TranslationAsset` | `getTranslated(java.lang.String key, TranslationLanguage language)`
    `TranslationAsset` | `getTranslated(TranslationObject t, TranslationLanguage l)`
    `java.lang.String` | `getTranslation(java.lang.String key, TranslationLanguage l)`
    `TranslationManager` | `instance()` Don't use this!
    `TranslationManager` | `removeTranslationObject(TranslationObject t)` Remove an object
    `TranslationManager` | `saveAll(TranslationFile file)`
    `TranslationManager` | `saveFile(TranslationFile file)`
    `static void` | `scan(java.lang.Class c, TranslationManager manager)`
    `static java.util.List<TranslationObject>` | `transformEnum(java.lang.Object[] os)`
    `java.util.List<TranslationObject>` | `translations()` Get the translation objects

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TranslationManager

          public TranslationManager()

      Constructor

    - #### TranslationManager

          public TranslationManager(TranslationObject[] translationObjects)

      Constructor
      Parameters:
        `translationObjects` - pre-init

  - ### Method Detail

    - #### instance

          public TranslationManager instance()

      Don't use this!
      Returns:
        this

    - #### translations

          public java.util.List<TranslationObject> translations()

      Get the translation objects
      Returns:
        objects

    - #### addTranslationObject

          public TranslationManager addTranslationObject(TranslationObject t)

      Add an object
      Parameters:
        `t` - object
      Returns:
        instance

    - #### removeTranslationObject

          public TranslationManager removeTranslationObject(TranslationObject t)

      Remove an object
      Parameters:
        `t` - object
      Returns:
        instance

    - #### getDescription

          public java.lang.String getDescription(java.lang.String key)

    - #### addTranslation

          public TranslationManager addTranslation(TranslationObject t,
                                          TranslationAsset a)

    - #### addTranslation

          public TranslationManager addTranslation(java.lang.String key,
                                          TranslationAsset a)

    - #### getTranslated

          public TranslationAsset getTranslated(java.lang.String key,
                                       java.lang.String language)

    - #### getTranslated

          public TranslationAsset getTranslated(java.lang.String key,
                                       TranslationLanguage language)

    - #### getTranslated

          public TranslationAsset getTranslated(TranslationObject t,
                                       TranslationLanguage l)

    - #### getTranslation

          public java.lang.String getTranslation(java.lang.String key,
                                        TranslationLanguage l)

    - #### getDefault

          public TranslationObject getDefault(java.lang.String key)

    - #### saveAll

          public TranslationManager saveAll(TranslationFile file)

    - #### transformEnum

          public static java.util.List<TranslationObject> transformEnum(java.lang.Object[] os)

    - #### scan

          public static void scan(java.lang.Class c,
                  TranslationManager manager)
                           throws java.lang.IllegalAccessException

      Throws:
        `java.lang.IllegalAccessException`

    - #### debug

          public TranslationManager debug(java.io.PrintStream out)

    - #### saveFile

          public TranslationManager saveFile(TranslationFile file)